[Fakeroot-commits] [SCM] fakeroot branch, upstream, updated. 08ed00124d8b6b445d3b91a9aa15eec638b02f05

Clint Adams schizo at debian.org
Sun Nov 15 03:17:28 UTC 2009


The following commit has been merged in the upstream branch:
commit 650fada4ed20596b8be3642e61994f1af057ecd8
Author: Clint Adams <schizo at debian.org>
Date:   Mon Jan 21 22:21:06 2008 +0000

    Apply patch from Andrew Benham to make compare-tar test more portable.
    
    git-archimport-id: fakeroot at packages.debian.org--fakeroot/fakeroot--main--0.0--patch-159

diff --git a/test/compare-tar b/test/compare-tar
index 483a163..d764705 100755
--- a/test/compare-tar
+++ b/test/compare-tar
@@ -2,10 +2,10 @@
 set -e
 echo compare-tar:
 
-gzip -dc $1 | tar -tvf - |perl -p -e 's/^((.*?)(\t+|\s\s+)\d+).*\s(\S+)$/$1 $4/' |sort > tmp-1
-gzip -dc $2 | tar -tvf - |perl -p -e 's/^((.*?)(\t+|\s\s+)\d+).*\s(\S+)$/$1 $4/' |sort > tmp-2
+gzip -dc $1 | tar -tvf - |awk '{print $1, $2, $3, $NF}' |sort > tmp-1
+gzip -dc $2 | tar -tvf - |awk '{print $1, $2, $3, $NF}' |sort > tmp-2
 
-diff -u tmp-1 tmp-2 > tmp-diff
+diff tmp-1 tmp-2 > tmp-diff || true
 
 if test -s tmp-diff; then
   echo tar files differ:

-- 
fakeroot



More information about the Fakeroot-commits mailing list